TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

ExtractBlock ( elt-alg^mat X, elt-ord^rat i, elt-ord^rat j, elt-ord^rat p, elt-ord^rat q ) -> elt-alg^mat

### Description

<shortdoc> Return the p by q submatrix of X whose first entry is the [i, j]-th entry of X. </shortdoc>

### Examples

x_m:=Matrix(Z,3,3,[1,2,3,4,5,6,7,8,9]);ExtractBlock(x_m,1,1,2,2);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack